digiKam Developer Documentation: Digikam::FileActionMngr Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::FileActionMngr Class Reference
Inheritance diagram for Digikam::FileActionMngr:

## Public Types
enum | GroupAction { AddToGroup , RemoveFromGroup , SplitGroup }

## Public Slots
void | addToGroup (const ItemInfo &stack, const QList< ItemInfo > &infos)
void | applyMetadata (const QList< ItemInfo > &infos, const DisjointMetadata &hub)
void | applyMetadata (const QList< ItemInfo > &infos, DisjointMetadata *hub)
void | assignColorLabel (const ItemInfo &info, int colorId)
void | assignColorLabel (const QList< ItemInfo > &infos, int colorId)
void | assignPickLabel (const ItemInfo &info, int pickId)
void | assignPickLabel (const QList< ItemInfo > &infos, int pickId)
void | assignRating (const ItemInfo &info, int rating)
void | assignRating (const QList< ItemInfo > &infos, int rating)
void | assignTag (const ItemInfo &info, int tagID)
void | assignTag (const QList< ItemInfo > &infos, int tagID)
void | assignTags (const ItemInfo &info, const QList< int > &tagIDs)
void | assignTags (const QList< ItemInfo > &infos, const QList< int > &tagIDs)
void | assignTags (const QList< qlonglong > &imageIds, const QList< int > &tagIDs)
void | copyAttributes (const ItemInfo &source, const QString &derivedPath)
void | copyAttributes (const ItemInfo &source, const QStringList &derivedPaths)
void | removeFromGroup (const ItemInfo &info)
void | removeFromGroup (const QList< ItemInfo > &infos)
void | removeTag (const ItemInfo &info, int tagID)
void | removeTag (const QList< ItemInfo > &infos, int tagID)
void | removeTags (const ItemInfo &info, const QList< int > &tagIDs)
void | removeTags (const QList< ItemInfo > &infos, const QList< int > &tagIDs)
void | setExifOrientation (const QList< ItemInfo > &infos, int orientation)
void | transform (const QList< ItemInfo > &infos, MetaEngineRotation::TransformationAction action)
| Flip or rotate.
void | ungroup (const ItemInfo &info)
void | ungroup (const QList< ItemInfo > &infos)

## Signals
void | signalImageChangeFailed (const QString &message, const QStringList &fileNames)

## Public Member Functions
bool | isActive ()
bool | requestShutDown ()
void | shutDown ()

## Static Public Member Functions
static FileActionMngr * | instance ()

## Member Function Documentation

## ◆ transform

void Digikam::FileActionMngr::transform | ( | const QList< ItemInfo > & | infos,
|  | MetaEngineRotation::TransformationAction | action
| ) |  |
| slot

Note: The NoTransformation action is interpreted as Exif auto-rotate